# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rubycent/version'

Gem::Specification.new do |spec|
  spec.name          = 'rubycent'
  spec.version       = Rubycent::VERSION
  spec.authors       = ['Warshavski']
  spec.email         = ['p.warshavski@gmail.com']

  spec.summary       = 'Ruby client to communicate with Centrifugo v2 HTTP API'
  spec.description   = 'Ruby client to communicate with Centrifugo v2 HTTP API'
  spec.homepage      = 'https://github.com/Warshavski/rubycent'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['homepage_uri'] = spec.homepage
    spec.metadata['source_code_uri'] = 'https://github.com/Warshavski/rubycent'
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '>= 0.17.3'
  spec.add_dependency 'jwt', '~> 2.2.1'
  spec.add_dependency 'multi_json', '~> 1.13.1'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake', '>= 12.3.3'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'webmock', '~> 3.7.5'
end
